#!/bin/bash
#Script para instalar Opera-Stable mais novo a partir de um rpm compilado a partir do .deb mais recente

#Preparação das variáveis e Comando para pegar o número da versão mais nova do Opera-Stable
OPERA_STREAM=opera-stable
SILENT_DL="wget -qO-"
LOUD_DL="wget"
DEBARCH=amd64
OPERA_VERSION=$($SILENT_DL http://deb.opera.com/opera/dists/stable/non-free/binary-$DEBARCH/Packages.gz | gzip -d | grep -A1 -x "Package: $OPERA_STREAM" | sed -n "/Version/s/.* //p")

#Limpa opera*.deb velhos
rm -f $HOME/rpmbuild/SOURCES/opera*.deb

#Baixa o arquivo .deb mais novo
$LOUD_DL http://get.geo.opera.com/pub/opera/desktop/$OPERA_VERSION/linux/opera-stable_${OPERA_VERSION}_${DEBARCH}.deb -O $HOME/rpmbuild/SOURCES/opera-stable_${OPERA_VERSION}_${DEBARCH}.deb

#Gera o arquivo opera-stable.spec baseado na versao
sed s/NUMERODAVERSAO/$OPERA_VERSION/ ./opera-stable.spec.orig > opera-stable.spec

#limpa as versões RPM antigas
rm -f $HOME/rpmbuild/RPMS/x86_64/opera*.rpm

#Monta o RPM
rpmbuild -bb opera-stable.spec

echo "O seu pacote RPM se encontra em $HOME/rpmbuild/RPMS/x86_64/opera-stable_${OPERA_VERSION}_${DEBARCH}.rpm"

echo "Dê duplo clique no arquivo acima e instale"
